Get an agent binary download source

Base URL
https://{kibana_url}
Auth

Get an agent binary download source by ID.

Required privileges

Privileges fleet-agent-policies-read or fleet-settings-read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

sourceId string required

The ID of the download source

Responses

Successful response

application/json
item object required
host string · format: uri required
id string required
is_default boolean · default: false
is_preconfigured boolean
name string required
proxy_id string nullable

The ID of the proxy to use for this download source. See the proxies API for more information.

404

Not Found

application/json
Base URL
https://{kibana_url}